Bug 183107 - Applying plugin changes causes windows to flicker
Summary: Applying plugin changes causes windows to flicker
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Plasma
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal with 1 vote (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-02-04 01:29 UTC by Stephan Sokolow
Modified: 2009-09-23 22:16 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stephan Sokolow 2009-02-04 01:29:02 UTC
Version:           unknown (using 4.2.00 (KDE 4.2.0), Gentoo)
Compiler:          x86_64-pc-linux-gnu-gcc
OS:                Linux (x86_64) release 2.6.25-gentoo-r7-20080501

It'd be beneficial for overall user impressions if KWin could apply plugin changes without causing all the windows to flicker.

Since Compiz can do it, the current state of things runs the risk of layperson users assuming "Compiz doesn't flicker when I turn on or off effects, therefore it's better quality". (Never a good assumption to have people making)

It would also be more relaxing. For example, the whole point of high-speed fade in/out as a class of effects is to avoid triggering our residual "What's that? Is it a predator!?" instincts, after all.
Comment 1 Martin Flöser 2009-09-11 23:08:28 UTC
SVN commit 1022489 by rhburchell:
Remove flicker when changing effect plugins by not fully reloading compositing plugins anymore.
Replaces one hack with another hack (due to having to support multiple kwin instances),  but provides a much better user experience.
Big thanks to mgraesslin for comments,  review,  and fixes.

BUG: 183107

http://websvn.kde.org/?view=rev&revision=1022489
Comment 2 Martin Flöser 2009-09-23 22:16:57 UTC
SVN commit 1027313 by graesslin:

Backport r1022489: Remove flicker when changing effect plugins by not fully reloading compositing plugins anymore.
CCBUG: 183107


 M  +22 -38    main.cpp  
 M  +1 -0      main.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1027313